clear all
PRand = 0.01;  % Probabilit lecture alatoire uniforme
MaxRange  = 200;
Noise = 3;

r = 1:MaxRange;

Z = 70; % Mesure du capteur
PZ_NotCX = 0.01;
PZ_CX = (1-PRand/Z)*normpdf(r,Z,Noise)
PZ_CX(1:Z) = PZ_CX(1:Z) + PRand/Z;
OddX = PZ_CX./PZ_NotCX;
index = find(OddX(Z:MaxRange)<1)+Z-1;
OddX(index) = 1; % Behind the sensor we do not change anything

subplot(2,1,1)
plot(r,OddX);
xlabel('Distance');
ylabel('Cote');

subplot(2,1,2)
plot(r,log(OddX));
xlabel('Distance');
ylabel('log(Cote)');